Incident Templates
The Bearer API key of your user more info.
an integer specifying the starting point (beginning with 0) when paging through a list of entities
0the maximum number of results when paging through a list of entities.
50The incident templates
the status update status
GET /api/incident-templates HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
The incident templates
[
{
"id": 1,
"name": "text",
"summary": "text",
"status": "INVESTIGATING",
"message": "text",
"sendNotification": true,
"severity": 1,
"appliesTo": [
"INCIDENT"
],
"teams": [
{
"id": 1,
"name": "text"
}
],
"managedBy": {
"type": "API",
"source": "text"
}
}
]The Bearer API key of your user more info.
the status update status
The newly created incident template
the status update status
POST /api/incident-templates HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 176
{
"id": 1,
"name": "text",
"summary": "text",
"status": "INVESTIGATING",
"message": "text",
"sendNotification": true,
"severity": 1,
"appliesTo": [
"INCIDENT"
],
"teams": [
{
"id": 1,
"name": "text"
}
]
}The newly created incident template
{
"id": 1,
"name": "text",
"summary": "text",
"status": "INVESTIGATING",
"message": "text",
"sendNotification": true,
"severity": 1,
"appliesTo": [
"INCIDENT"
],
"teams": [
{
"id": 1,
"name": "text"
}
],
"managedBy": {
"type": "API",
"source": "text"
}
}The Bearer API key of your user more info.
entity ID
The requested incident template
the status update status
GET /api/incident-templates/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
The requested incident template
{
"id": 1,
"name": "text",
"summary": "text",
"status": "INVESTIGATING",
"message": "text",
"sendNotification": true,
"severity": 1,
"appliesTo": [
"INCIDENT"
],
"teams": [
{
"id": 1,
"name": "text"
}
],
"managedBy": {
"type": "API",
"source": "text"
}
}The Bearer API key of your user more info.
entity ID
the status update status
The updated incident template
the status update status
PUT /api/incident-templates/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 176
{
"id": 1,
"name": "text",
"summary": "text",
"status": "INVESTIGATING",
"message": "text",
"sendNotification": true,
"severity": 1,
"appliesTo": [
"INCIDENT"
],
"teams": [
{
"id": 1,
"name": "text"
}
]
}The updated incident template
{
"id": 1,
"name": "text",
"summary": "text",
"status": "INVESTIGATING",
"message": "text",
"sendNotification": true,
"severity": 1,
"appliesTo": [
"INCIDENT"
],
"teams": [
{
"id": 1,
"name": "text"
}
],
"managedBy": {
"type": "API",
"source": "text"
}
}The Bearer API key of your user more info.
entity ID
Empty body delete response
DELETE /api/incident-templates/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
Empty body delete response
No content
The Bearer API key of your user more info.
unique name of the incident template
The requested incident template
the status update status
GET /api/incident-templates/name/{name} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
The requested incident template
{
"id": 1,
"name": "text",
"summary": "text",
"status": "INVESTIGATING",
"message": "text",
"sendNotification": true,
"severity": 1,
"appliesTo": [
"INCIDENT"
],
"teams": [
{
"id": 1,
"name": "text"
}
],
"managedBy": {
"type": "API",
"source": "text"
}
}Last updated
Was this helpful?